{-# LANGUAGE OverloadedStrings #-}

-- |
-- Module       : Web.Skell.MimeTypes
-- Description  : Mime types
-- Copyright    : 2014, Peter Harpending.
-- License      : BSD3
-- Maintainer   : Peter Harpending <pharpend2@gmail.com>
-- Stability    : experimental
-- Portability  : archlinux
--

module Web.Skell.MimeTypes where

import qualified Data.ByteString as S

type MimeType = S.ByteString

css :: MimeType
css = "text/css"

eot :: MimeType
eot = "application/vnd.ms-fontobject"

html :: MimeType
html = "text/html"

js :: MimeType
js = "text/javascript"

otf :: MimeType
otf = "application/x-font-otf"

plain :: MimeType
plain = "text/plain"

svg :: MimeType
svg = "image/svg+xml"

ttf :: MimeType
ttf = "application/x-font-ttf"

woff :: MimeType
woff = "application/x-font-woff"

